
  

  
  

  
  
  
  
    


@layer base {
  
  body, :host {
    /* Color */
    --dark-background1: #171717;
--dark-background2: #262626;
--dark-hover: #525252;
--dark-border: #525252;
--grey-50: #FAFAFA;
--grey-100: #F5F5F5;
--grey-200: #E5E5E5;
--grey-300: #D4D4D4;
--grey-400: #A3A3A3;
--grey-500: #737373;
--grey-600: #525252;
--grey-700: #404040;
--grey-800: #262626;
--grey-900: #171717;
--red-50: #FEF2F2;
--red-100: #FEE2E2;
--red-200: #FECACA;
--red-300: #FCA5A5;
--red-400: #F87171;
--red-500: #EF4444;
--red-600: #DC2626;
--red-700: #B91C1C;
--red-800: #991B1B;
--red-900: #7F1D1D;
--blue-50: #EFF6FF;
--blue-100: #DBEAFE;
--blue-200: #BFDBFE;
--blue-300: #93C5FD;
--blue-400: #60A5FA;
--blue-main: #2196F3;
--blue-500: #3B82F6;
--blue-600: #2563EB;
--blue-700: #1D4ED8;
--blue-800: #1E40AF;
--blue-900: #1E3A8A;
--lime-50: #F7FEE7;
--lime-100: #ECFCCB;
--lime-200: #D9F99D;
--lime-300: #BEF264;
--lime-400: #A3E635;
--lime-500: #84CC16;
--lime-600: #65A30D;
--lime-700: #4D7C0F;
--lime-800: #3F6212;
--lime-900: #365314;
--pink-50: #FDF2F8;
--pink-100: #FCE7F3;
--pink-200: #FBCFE8;
--pink-300: #F9A8D4;
--pink-400: #F472B6;
--pink-500: #EC4899;
--pink-600: #DB2777;
--pink-700: #BE185D;
--pink-800: #9D174D;
--pink-900: #831843;
--teal-50: #F0FDFA;
--teal-100: #CCFBF1;
--teal-200: #99F6E4;
--teal-300: #5EEAD4;
--teal-400: #2DD4BF;
--teal-500: #14B8A6;
--teal-600: #0D9488;
--teal-700: #0F766E;
--teal-800: #115E59;
--teal-900: #134E4A;
--green-50: #ECFDF5;
--green-100: #D1FAE5;
--green-200: #A7F3D0;
--green-300: #6EE7B7;
--green-400: #34D399;
--green-500: #10B981;
--green-600: #059669;
--green-700: #047857;
--green-800: #065F46;
--green-900: #064E3B;
--purple-50: #F5F3FF;
--purple-100: #EDE9FE;
--purple-200: #DDD6FE;
--purple-300: #C4B5FD;
--purple-400: #A78BFA;
--purple-500: #8B5CF6;
--purple-600: #7C3AED;
--purple-700: #6D28D9;
--purple-800: #5B21B6;
--purple-900: #4C1D95;
--yellow-50: #FFFBEB;
--yellow-100: #FEF3C7;
--yellow-200: #FDE68A;
--yellow-300: #FCD34D;
--yellow-400: #FBBF24;
--yellow-500: #F59E0B;
--yellow-600: #D97706;
--yellow-700: #B45309;
--yellow-800: #92400E;
--yellow-900: #78350F;
    /* Fonts */
    --font-sans: 'Inter',sans-serif;
--font-cutivemono: 'Cutive Mono',monospace;
--font-lora: 'Lora',serif;
--font-figtree: 'Figtree',sans-serif;
--font-geologica: 'Geologica',sans-serif;
--font-merriweather: 'Merriweather',serif;
--font-courierprime: 'Courier Prime',monospace;
--font-sourcecodepro: 'Source Code Pro',monospace;
--font-robotoflex: 'Roboto Flex',sans-serif;

    /* Font size */
    --font-size-xxs: 0.625rem;
--font-size-xs: 0.75rem;
--font-size-sm: 0.875rem;
--font-size-base: 1rem;
--font-size-lg: 1.125rem;
--font-size-xl: 1.25rem;
--font-size-2xl: 1.5rem;
--font-size-3xl: 1.875rem;
--font-size-4xl: 2.25rem;
--font-size-5xl: 3rem;
    /* Font weight */
    --font-weight-thin: 100;
--font-weight-lighter: 200;
--font-weight-light: 300;
--font-weight-regular: 400;
--font-weight-normal: 500;
--font-weight-bold: 700;
--font-weight-semi-bold: 600;
--font-weight-bolder: 800;
--font-weight-black: 900;
    /* Shadows */
    --shadow-sm:  0 1px 2px 0 rgba(0, 0, 0, 0.25);
--shadow-base:  0 1px 3px 0 rgba(0, 0, 0, 0.25), 0 1px 2px 0 rgba(0, 0, 0, 0.25);
--shadow-md:  0 4px 6px -1px rgba(0, 0, 0, 0.25), 0 2px 4px -1px rgba(0, 0, 0, 0.25);
--shadow-lg:  0 10px 15px -3px rgba(0, 0, 0, 0.25), 0 4px 6px -2px rgba(0, 0, 0, 0.25);
--shadow-xl: 0 20px 25px -5px rgba(0, 0, 0, 0.25), 0 10px 10px -5px rgba(0, 0, 0, 0.25);
--shadow-2xl:  0 25px 50px -12px rgba(0, 0, 0, 0.25);
    /* Border radius */
    
    /* Spacing */
    
    /* Z-index */
    
  }
  @keyframes animation-spin {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }
  @keyframes animation-fade-in {
    from {
      opacity:0;
    }
    to {
      opacity:1;
    }
  }
  @keyframes animation-fade-out {
    from {
      opacity:1;
    }
    to {
      opacity:0;
    }
  }
}


    .dNnPCF {
      height:100lvh;
      overflow-x:hidden;
      overflow-y:hidden;
      transition:height 300ms ease 0ms normal;
      align-items:center;
      justify-content:start;
      background-color:var(--grey-50, #FAFAFA);
    }

    .dNnPCF.dark {
      background-color:var(--dark-hover, #525252);
    }

    .eEihMG {
      color:inherit;
      width:8rem;
      display:inline-block;
      text-align:right;
      font-family:inherit;
      padding-left:.75rem;
      padding-right:.75rem;
    }

    .coGBZq {
      color:inherit;
      display:inline-block;
      font-family:inherit;
      padding-right:0.8rem;
    }

    .bCKrHT:hover {
      cursor:pointer;
    }

    .DuAXc {
      width:90%;
      height:15px;
      z-index:901;
      align-items:center;
      padding-top:4px;
      flex-direction:column;
      padding-bottom:4px;
      justify-content:center;
    }

    .cKjbIw {
      width:100%;
      height:1px;
      background-color:var(--grey-300, #D4D4D4);
    }

    .ezIPXa {
      top:2rem;
      color:var(--textColorFont, #000000);
      width:1000px;
      height:calc(100% + 23px);
      resize:both;
      max-width:95%;
      min-width:300px;
      box-shadow:0px 5px 15px 0px rgba(0,0,0,0.05), 0px 5px 15px -5px rgba(25,28,33,0.1), 0px 0px 0px 1px rgba(0,0,0,0.04);;
      max-height:calc(100% + 23px);
      min-height:calc(100% + 23px);
      overflow-x:hidden;
      overflow-y:hidden;
      align-items:start;
      padding-top:1.2rem;
      padding-left:1rem;
      border-radius:13px;
      padding-right:1rem;
      flex-direction:row;
      padding-bottom:2.5rem;
      justify-content:center;
      background-color:var(--textColorBack, #FFFFFF);
    }

    .fxoLpD {
      color:#ffffff;
      width:5rem;
      cursor:pointer;
      align-items:center;
      padding-top:.5rem;
      padding-left:.5rem;
      border-radius:6px;
      padding-right:.5rem;
      padding-bottom:.5rem;
      justify-content:start;
      background-color:#2196f3;
    }

    .fxoLpD.dark {
      border-color:var(--grey-300, #D4D4D4);
      border-style:solid;
      border-width:1px;
    }

    .fkWBwO {
      top:-18px;
      left:17px;
      width:1px;
      height:calc(100% + 4px);
      box-shadow:1px 0px 2px 0px #ff4d4d3d;
      align-items:start;
      justify-content:start;
    }

    .cGMmCU {
      color:inherit;
      font-family:inherit;
      font-weight:inherit;
      padding-top:0.5rem;
      padding-bottom:0.5rem;
    }

    .eTLFpk {
      color:inherit;
      width:100%;
      cursor:default;
      height:30px;
      z-index:901;
      align-items:start;
      font-family:inherit;
      font-weight:inherit;
      border-radius:5px;
      flex-direction:row;
      justify-content:start;
      background-color:inherit;
    }

    .eTLFpk:hover {
      color:#ffffff;
      cursor:pointer;
      background-color:var(--blue-main, #2196F3);
    }

    .eTLFpk.dark:hover {
      cursor:pointer;
      background-color:var(--blue-main, #2196F3);
    }

    .lpsRg {
      color:inherit;
      cursor:pointer;
      display:flex;
      outline:none;
      align-items:center;
      font-family:inherit;
      font-weight:inherit;
      padding-top:5px;
      border-radius:6px;
      flex-direction:row;
      padding-bottom:5px;
      justify-content:start;
    }

    .dZKeev {
      color:inherit;
      width:18px;
      height:18px;
      display:flex;
      position:relative;
      align-items:center;
      justify-content:center;
    }

    .kPkxW {
      color:inherit;
      width:32px;
      height:30px;
      align-items:center;
      flex-direction:row;
      justify-content:center;
    }

    .cyoDIl {
      color:inherit;
      height:30px;
      align-items:start;
      font-family:inherit;
      font-weight:inherit;
      justify-content:center;
    }

    .bFnswE {
      top:0px;
      left:0px;
      position:absolute;
    }

    .cMlXDK {
      align-items:center;
      font-family:inherit;
      padding-top:1rem;
      flex-direction:row;
      justify-content:space-between;
    }

    .dtDRTF {
      font-family:inherit;
      padding-top:1rem;
      padding-left:1rem;
      border-radius:0.5rem;
      padding-right:1rem;
      padding-bottom:1rem;
      background-color:var(--grey-100, #F5F5F5);
    }

    .dtDRTF.dark {
      background-color:var(--dark-hover, #525252);
    }

    .dvxSxx {
      color:inherit;
      font-family:inherit;
      padding-top:1rem;
      padding-left:1rem;
      border-radius:0.5rem;
      padding-right:1rem;
      padding-bottom:1rem;
      background-color:var(--grey-100, #F5F5F5);
    }

    .dvxSxx.dark {
      background-color:var(--dark-hover, #525252);
    }

    .eAJYqz {
      top:0px;
      left:0px;
      width:100%;
      height:100lvh;
      z-index:1;
      position:fixed;
      backdrop-filter:blur(.5px);
      background-color:#aeb7a91a;
    }

    .dlyJnQ {
      color:inherit;
      width:10px;
      align-items:center;
      padding-left:0.5rem;
      padding-right:0.5rem;
      justify-content:center;
    }

    .zfuBp {
      top:10px;
      left:10px;
      width:180px;
      cursor:default;
      z-index:900;
      position:absolute;
      font-size:0.85rem;
      box-shadow:rgba(0, 0, 0, 0.08) 0px 5px 15px 0px, rgba(25, 28, 33, 0.2) 0px 15px 35px -5px, rgba(0, 0, 0, 0.07) 0px 0px 0px 1px;
      transition:all 300ms ease 100ms normal;
      align-items:center;
      font-family:'Inter';
      font-weight:400;
      padding-top:5px;
      user-select:none;
      padding-left:5px;
      border-radius:6px;
      padding-right:5px;
      flex-direction:column;
      padding-bottom:5px;
      -ms-user-select:none;
      justify-content:start;
      background-color:#ffffff;
      -webkit-user-select:none;
    }

    .zfuBp.dark {
      color:var(--grey-50, #FAFAFA);
      border-color:var(--dark-border, #525252);
      border-style:solid;
      border-width:2px;
      background-color:var(--dark-background2, #262626);
    }

    .eNGlTO {
      color:var(--textColorFont, #000000);
      width:4rem;
      height:2rem;
      transition:width 300ms cubic-bezier(0.23, 1, 0.32, 1) 0ms normal;
      align-items:center;
      font-family:inherit;
      border-color:var(--grey-400, #A3A3A3);
      border-style:solid;
      border-width:1px;
      border-radius:180px;
      justify-content:center;
      background-color:var(--textColorBack, #0A0908);
    }

    .eNGlTO:hover {
      cursor:pointer;
      box-shadow:1px 1px 4px 0px #00000038;
    }

    .eNGlTO.selected {
      width:7rem;
      box-shadow:1px 1px 4px 0px #00000038;
    }

    .dqgHGQ {
      top:17px;
      left:15px;
      color:var(--grey-300, #D4D4D4);
      width:35px;
      height:35px;
      position:absolute;
      align-items:center;
      justify-content:center;
    }

    .bFiOcR {
      color:inherit;
      width:100%;
      font-size:inherit;
      align-items:center;
      font-family:inherit;
      font-weight:inherit;
      justify-content:start;
    }

    .fATkhl {
      color:var(--textColorFont, #000000);
      width:2rem;
      height:2rem;
      transition:width 300ms cubic-bezier(0.23, 1, 0.32, 1) 0ms normal;
      align-items:center;
      font-family:inherit;
      border-color:var(--grey-400, #A3A3A3);
      border-style:solid;
      border-width:1px;
      border-radius:180px;
      justify-content:center;
      background-color:var(--textColorBack, #FFFFFF);
    }

    .fATkhl:hover {
      cursor:pointer;
      box-shadow:1px 1px 4px 0px #00000038;
    }

    .fATkhl.selected {
      width:4rem;
      box-shadow:1px 1px 4px 0px #00000038;
    }

    .dKIjaW {
      color:var(--grey-300, #D4D4D4);
      display:inline-block;
      font-size:0.9rem;
      text-align:center;
      font-family:'Courier Prime';
    }

    .dsYSRO {
      gap:1rem;
      font-size:var(--font-size-sm);
      align-items:center;
      font-family:'Merriweather';
      flex-direction:row;
      justify-content:center;
    }

    .EZwfN {
      gap:0.3rem;
      align-items:center;
      font-family:inherit;
      padding-left:0.4rem;
      padding-right:1rem;
      flex-direction:row;
      justify-content:start;
    }

    .EZwfN:hover {
      cursor:pointer;
    }

    .hciTu {
      top:-63px;
      right:-23px;
      width:128px;
      height:128px;
      position:absolute;
      background-image:url("");
    }

    .eBVSbS {
      gap:1rem;
      font-size:var(--font-size-sm);
      font-family:'Merriweather';
      user-select:none;
      flex-direction:row;
      -ms-user-select:none;
      -webkit-user-select:none;
    }

    .dtlKEu {
      color:inherit;
      height:25px;
      align-items:center;
      font-family:inherit;
      font-weight:inherit;
      padding-top:0.25rem;
      padding-left:0.3rem;
      border-radius:0.30rem;
      padding-right:0.3rem;
      padding-bottom:0.25rem;
      justify-content:center;
    }

    .dtlKEu:hover {
      color:#ffffff;
      cursor:pointer;
      background-color:var(--blue-main, #2196F3);
    }

    .iwlhM {
      gap:.4rem;
      align-items:center;
      font-family:inherit;
      padding-top:0.4rem;
      padding-left:.4rem;
      padding-right:.4rem;
      flex-direction:row;
      padding-bottom:0.4rem;
      justify-content:start;
    }

    .dHFBwd {
      color:inherit;
      width:1.7rem;
      height:1.7rem;
      object-fit:;
      align-items:center;
      padding-top:0.2rem;
      padding-left:0.2rem;
      border-radius:5px;
      padding-right:0.2rem;
      flex-direction:column;
      padding-bottom:0.2rem;
      justify-content:center;
    }

    .dHFBwd:hover {
      color:#ffffff;
      cursor:pointer;
      background-color:var(--blue-main, #2196F3);
    }

    .YgupF {
      color:inherit;
      align-items:center;
      font-family:inherit;
      padding-top:.4rem;
      flex-direction:row;
      padding-bottom:.4rem;
      justify-content:start;
    }

    .cXqrtC {
      left:0px;
      width:62px;
      bottom:64px;
      height:50px;
      position:absolute;
    }

    .bRnyEj {
      color:inherit;
      display:inline-block;
      font-size:var(--font-size-3xl);
      font-family:'Inter';
      font-weight:var(--font-weight-bold);
      padding-bottom:1.6rem;
    }

    .ueXkn {
      left:37px;
      color:inherit;
      width:Calc(100% - 55px);
      height:Calc(100% - 3rem);
      resize:none;
      font-weight:300;
      line-height:1.8rem;
      background-color:inherit;
    }

    .eGzocY {
      color:transparent;
      display:inline-block;
      background:linear-gradient(to right, blue, purple);
      text-align:center;
      font-family:inherit;
      font-weight:inherit;
      padding-top:4px;
      padding-bottom:4px;
      background-clip:text;
    }

    .ezPhME {
      gap:0.3rem;
      align-items:center;
      font-family:inherit;
      padding-left:0.4rem;
      padding-right:1rem;
      flex-direction:row;
      justify-content:start;
      background-color:inherit;
    }

    .ezPhME:hover {
      cursor:pointer;
    }

    .cFeYor {
      color:inherit;
      display:inline-block;
      font-family:inherit;
    }

    .cFeYor:hover {
      cursor:pointer;
    }

    .evdoLP {
      color:inherit;
    }

    .eWEqUK {
      width:153px;
      position:relative;
      height:153px;
    }

    .eEWPOd {
      color:var(--grey-900, #171717);
      width:11rem;
      padding:8px;
      font-size:var(--font-size-sm);
      border-radius:6px;
      background-color:var(--grey-300, #D4D4D4);
    }

    .eEWPOd.dark {
      color:var(--grey-50, #FAFAFA);
      background-color:var(--dark-background2, #262626);
    }

    .eEWPOd:hover {
      cursor:pointer;
    }

    .cRGkUp {
      color:inherit;
      display:inline-block;
      font-family:inherit;
      font-weight:inherit;
    }

    .dxzSHe {
      color:inherit;
      position:absolute;
    }

    .dHFMrG {
      top:3rem;
      color:var(--colorFont, #000000);
      width:30rem;
      border:1px solid black;
      display:flex;
      z-index:9;
      position:absolute;
      box-shadow:1px 4px 8px 0px #00000044;
      transition:all 300ms ease 0ms normal;
      font-family:'Inter';
      padding-top:2rem;
      padding-left:2rem;
      border-radius:8px;
      padding-right:2rem;
      flex-direction:column;
      padding-bottom:2rem;
      background-color:var(--colorBack, #FFFFFF);
    }

    .dHFMrG.dark {
      color:var(--grey-50, #FAFAFA);
      border-color:var(--dark-border, #525252);
      border-style:solid;
      border-width:2px;
      background-color:var(--dark-background2, #262626);
    }

    .dHFMrG.closed {
      opacity:0;
      z-index:-1;
      translate:0 30px;
    }

    .coWOAi {
      color:inherit;
    }

    .bJqEcW {
      gap:0.7rem;
      color:inherit;
      font-family:inherit;
      user-select:none;
      -ms-user-select:none;
      -webkit-user-select:none;
    }

    .NWRiK {
      color:var(--textColorFont, #000000);
      width:4rem;
      height:2rem;
      transition:width 300ms cubic-bezier(0.23, 1, 0.32, 1) 0ms normal;
      align-items:center;
      font-family:inherit;
      border-color:var(--grey-400, #A3A3A3);
      border-style:solid;
      border-width:1px;
      border-radius:180px;
      justify-content:center;
      background-color:var(--textColorBack, #FFFFFF);
    }

    .NWRiK:hover {
      cursor:pointer;
      box-shadow:1px 1px 4px 0px #00000038;
    }

    .NWRiK.selected {
      width:7rem;
      box-shadow:1px 1px 4px 0px #00000038;
    }

    .dFVCVn {
      left:1px;
      width:77px;
      bottom:50px;
      z-index:999;
      position:absolute;
      height:77px;
    }

    .AwyUO {
      color:inherit;
      cursor:pointer;
      display:flex;
      position:relative;
      align-items:center;
      font-family:inherit;
      font-weight:inherit;
      padding-top:0.3rem;
      border-color:var(--grey-300, #D4D4D4);
      border-style:solid;
      border-width:1px;
      padding-left:.3rem;
      border-radius:8px;
      padding-right:.3rem;
      flex-direction:row;
      padding-bottom:0.3rem;
      justify-content:center;
    }